<?session_start();
if (isset($_SESSION['tipousuario']))
{if ($_SESSION['tipousuario']=='1')
header ('location:menu_personal.php');
}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
$db='pedidosm_mynomina_'.$_POST['empresa1'];
include ("fphp.php");
$enlace=cargar_conexion();
?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table>	
<?
echo "  <br><hr><center><font size='2'>
		NOTA: El Archivo en EXCEL debe ser formato: 97/2003 y las columnas deben ir sin encabezado y distribuida de la siguiente manera: <br><br><br>
		(1)-Codigo de Nomina (3 digitos creados en SAIREH)/ 
		(2)-CI (8 Caracteres numericos)/ 
		(3)-Primer Nombre/ 
		(4)-Segundo Nombre/ 
		(5)-Primer Apellido/ 
		(6)-Segundo Apellido/ <br>
		(7)-sueldo (numeros con decimales)/ 
		(8)-Fecha Nacimiento (dd/mm/aaaa) /
		(9)-Fecha de Ingreso (dd/mm/aaaa) / 
		(10)-Telefonos/ 
		(11)-Direccion/ 
		(12)-Status (A o I)/ 
		(13)-Cargo (Código)/ <br>
		(14)-# Cuenta Bancaria/ 
		(15)-Cód. Agencia banco / 
		(16)-Dígito verif Cta bancaria
		(17)-# Cta corto (10 dig)/ 
		(18)-Global ID/ 
		(19)-Rif/ 
		(20)-País Nac/ 
		(21)-Edo Nac/ 
		(22)-Cdad Nac/ <br>
		(23)-Unidad (Caracas/Valencia)/ 
		(24)-Área (Administracion/Planta)/ 
		(25)-Departamento (Código)/ 
		(26)-Tipo Ingreso/ 
		(27)-Tipo Vínculo/ 
		(28)-Edo Civil/ 
		(29)-Grado Salarial/ 
		(30)-Lider
		
		</font></center><hr>";
		
echo "  <center><br><br>Importar Archivo EXCEL en Tabla Personal</h2></center><br><hr>
		<br>
		<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST' enctype='multipart/form-data'>
		<input type = 'hidden' name = 'bandera' value = '1'>
		<table align='center'>
			<tr>";
					if ($_SESSION['nombre_validar']=='Richard') $query="Select * from tab_usuario order by empresa, detalle";
					else $query="Select * from tab_usuario where tipo=0 order by empresa, detalle";
					$consulta = mysqli_query($enlace,$query) or die ("no se pudo leer las empresas...");	
					echo "<td align = 'right'>Empresa a donde Importar&aacute;? </font>";
					echo "<td><select name = 'empresa1'>";
						while ($row1 = mysqli_fetch_array($consulta)) echo "<option width = '30%' value='".$row1['id']."'>".trim($row1['empresa'])." - Usuario: ".$row1['detalle'];
						mysqli_free_result($consulta);
						
			echo "</select></tr>
		<tr>
			<td align='right'>Archivo?</font></td>
			<td align='center2'><input name='archivo' size=40 type='file'></font></td>
		</tr>
		<tr>
			<td align='right'>Accion?</font></td>
			<td align='center2'><select name='tipo'>
				<option value='1'>Visualizar
				<option value='2'>Importar
				</select>
			</td>
		</tr>
		<tr>
			<td align = 'right'>Validar Operaci&oacute;n? (SI): </font></td>
			<td align = 'left'> <input type = 'text' name = 'si' size = '5' maxlength = '2' </td>
		</tr>
		<tr>
			<td align = 'right'></font></td>
			<td ><input type = 'submit' style='margin-left: 5px; width: 200px' value = 'Procesar Accion?'></td>
		</tr>
		</table>
		<script language='javascript' type='text/javascript'>
			document.entrada.archivo.focus();
		</script>
		</form>";



///=====================================================================================================================
if ($_POST['bandera']=='1') {			
	echo "<hr><b>Opciones:</b> 	<a href='".$_SERVER['PHP_SELF']."'><img border = 0 src='images/b_cambiar.png' alt='Reporte'>:Regresar</a><br><br>";
	echo "<center><b>Datos en EXCEL del personal</b></font></center>";

	if (is_uploaded_file($_FILES['archivo']['tmp_name'])) {
		move_uploaded_file($_FILES['archivo']['tmp_name'], "datos_".$_SESSION['db_validar'].".xls");
		$nombre='datos_'.$_SESSION['db_validar'].'.xls';	
		include("excel/reader.php");
		$datos = new Spreadsheet_Excel_Reader();
		$datos->read($nombre);
		$celdas = $datos->sheets[0]['cells'];
		
		//================================================ mostrar
		if ($_POST['tipo']==1) {
		
			echo "<table border=1 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr bgcolor='#0B0B61' >";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Cod/Nomina </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> C&eacute;dula </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> 1 Nombre </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> 2 Nombre </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> 1 Apellido </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> 2 Apellido </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Sueldo </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Fec/Nac </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Fec/Ing </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Telefono </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Direccion </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Status </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Cargo </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> #Cta Bancaria </font></th>";

				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Agencia banco </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Dígito verif Cta </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> # Cta corto </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Global ID </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Rif </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> País Nac </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Edo Nac </font></th>";
				
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Cdad Nac </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Unidad  </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Área  </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Departamento </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Tipo Ingreso </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Tipo Vínculo </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Edo Civil </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Grado Salarial </font></th>";
				echo "<th ali = center><font face='verdana'  size='1' color = '#ffffff'> Lider </font></th>";
			echo "</tr>";
			$i=1;
			while($celdas[$i][1]!="")
			{
				$ced = (  strlen(trim($celdas[$i][2]))>8?substr(trim($celdas[$i][2]),0,8):trim($celdas[$i][2])  );
				$cedula=str_repeat("0",8-strlen(trim($ced))).trim($ced);
				if ($color) $tcolor="#BFE5FF";
				else $tcolor="#F4FEFF";
				$color=!$color;
				echo '<tr bgcolor="'.$tcolor.'" >';
				echo "<td>".$celdas[$i][1]."</td>";
				echo "<td>".$cedula."</td>";
				echo "<td>".$celdas[$i][3]."</td>";
				echo "<td>".$celdas[$i][4]."</td>";
				echo "<td>".$celdas[$i][5]."</td>";
				echo "<td>".$celdas[$i][6]."</td>";
				echo "<td>".$celdas[$i][7]."</td>";
				echo "<td>".$celdas[$i][8]."</td>";
				echo "<td>".$celdas[$i][9]."</td>";
				echo "<td>".$celdas[$i][10]."</td>";
				echo "<td>".$celdas[$i][11]."</td>";
				echo "<td>".$celdas[$i][12]."</td>";
				echo "<td>".$celdas[$i][13]."</td>";
				echo "<td>".$celdas[$i][14]."</td>";
				echo "<td>".$celdas[$i][15]."</td>";
				echo "<td>".$celdas[$i][16]."</td>";
				echo "<td>".$celdas[$i][17]."</td>";
				echo "<td>".$celdas[$i][18]."</td>";
				echo "<td>".$celdas[$i][19]."</td>";
				echo "<td>".$celdas[$i][20]."</td>";
				echo "<td>".$celdas[$i][21]."</td>";
				echo "<td>".$celdas[$i][22]."</td>";
				echo "<td>".$celdas[$i][23]."</td>";
				echo "<td>".$celdas[$i][24]."</td>";
				echo "<td>".$celdas[$i][25]."</td>";
				echo "<td>".$celdas[$i][26]."</td>";
				echo "<td>".$celdas[$i][27]."</td>";
				echo "<td>".$celdas[$i][28]."</td>";
				echo "<td>".$celdas[$i][29]."</td>";
				echo "<td>".$celdas[$i][30]."</td>";
				echo "</tr>";
				$i++;
			}

		//================================================ mostrar
		} else {
			if (strtoupper($_POST['si'])=="SI") {
				$i=1;
				while($celdas[$i][2]!="")
				{
					$nom=$celdas[$i][1];
					$a3=mysqli_query($enlace,"select * from nomina where id='".$_SESSION['id_validar']."' and codigo='".$nom."'") or die (mysqli_error($enlace));
					if (mysqli_num_rows($a3)!=0) {
						$ced = (  strlen(trim($celdas[$i][2]))>8?substr(trim($celdas[$i][2]),0,8):trim($celdas[$i][2])  );
						$cedula=str_repeat("0",8-strlen(trim($ced))).trim($ced);
						$a3=mysqli_query($enlace,"select codigo from personal where id='".$_POST['id']."' and codigo='".$cedula."'") or die (mysqli_error($enlace));
						if (mysqli_num_rows($a3)==0) {
							$nombres1=$celdas[$i][3];
							$nombres2=$celdas[$i][4];
							$apellidos1=$celdas[$i][5];
							$apellidos2=$celdas[$i][6];
							$smes=$celdas[$i][7];
							$fechan=substr(trim($celdas[$i][8]),6,4)."/".substr(trim($celdas[$i][8]),3,2)."/".substr(trim($celdas[$i][8]),0,2);
							$fechai=substr(trim($celdas[$i][9]),6,4)."/".substr(trim($celdas[$i][9]),3,2)."/".substr(trim($celdas[$i][9]),0,2);
							$telefono=$celdas[$i][10];
							$direccion=$celdas[$i][11];
							$status=($celdas[$i][12]==''?'A':$celdas[$i][12]);
							$cargo=$celdas[$i][13];
							$cuenta=str_replace("-","",$celdas[$i][14]);
							$agencia_banco=$celdas[$i][15];
							$digitVerif=$celdas[$i][16];
							$cuentaCorto=$celdas[$i][17];
							$global_id=$celdas[$i][18];
							$rif=$celdas[$i][19];
							$paisNac=$celdas[$i][20];
							$edoNac=$celdas[$i][21];
							$ciudNac=$celdas[$i][22];
							$unidad=$celdas[$i][23];
							$area=$celdas[$i][24];
							$departamento=$celdas[$i][25];
							$tipoIng=$celdas[$i][26];
							$vinculoTp=$celdas[$i][27];
							$edoCivil=$celdas[$i][28];
							$gradoSalar=$celdas[$i][29];
							$esLider=$celdas[$i][30];
							
							
							
							$consulta='insert into personal (id,codigo,nombres,nombres1,apellidos,apellidos1,smes,fechan,fechai,telefono,dir,nomina,status,cargo,cuenta,
							
							agencia_banco, digito_verifbanco, cuentacorto, global_id, sso, pais, edo_nac, ciudad_nac, unidad, area, departamento, tipoingreso, tp, edocivil, grado_salar, lider) ';
							
							$consulta .="values ('".$_SESSION['id_validar']."','".$cedula."','".$nombres1."','".$nombres2."','".$apellidos1."','".$apellidos2."','".$smes."', ";
							$consulta .="'".$fechan."','".$fechai."','".$telefono."','".$direccion."','".$nom."','".$status."',	'".$cargo."','".$cuenta."',
							
							'".$agencia_banco."', '".$digitVerif."', '".$cuentaCorto."', '".$global_id."', '".$rif."', '".$paisNac."', '".$edoNac."', '".$ciudNac."', '".$unidad."', '".$area."', '".$departamento."', '".$tipoIng."', '".$vinculoTp."', '".$edoCivil."', '".$gradoSalar."', '".$esLider."'	)";
							$query=mysqli_query($enlace,$consulta) or die ("Error en Carga del Registro...". mysqli_error($enlace));
						}	
					} else {
						echo "Nomina: ($nom) NO existe, debe crearla en SAIREH...<b>";	
						exit();
					}	
					$i++;
				}
				echo "<center><b><font color='red'>Carga Efectuada Satisfactoriamente</b></font></center>";
			} else echo "<b><center><font color='red'>Ha solicitado NO validar...</b></font></center>";	
		}	
		
	} else {
		echo "<br><center><font color='red'><b>Archivo Invalido</b></font></center>";
	} 	
}
mysqli_close($enlace);
?>			
<br><br>				
</body>
</html>